#
# spec file for package ghc-concurrency
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name concurrency
Name:           ghc-%{pkg_name}
Version:        1.11.0.2
Release:        bp156.3.4
Summary:        Typeclasses, functions, and data types for concurrency and STM
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-atomic-primops-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}

%description
A typeclass abstraction over much of Control.Concurrent (and some extras!).
If you're looking for a general introduction to Haskell concurrency, you should
check out the excellent Parallel and Concurrent Programming in Haskell, by
Simon Marlow. If you are already familiar with concurrent Haskell, just change
all the imports from Control.Concurrent.* to Control.Concurrent.Classy.* and
fix the type errors.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.rst README.markdown

%changelog
* Mon Aug 16 2021 psimons@suse.com
- Update concurrency to version 1.11.0.2.
  1.11.0.2 (2021-08-15)
  - --------------------
  * Git: :tag:`concurrency-1.11.0.2`
  * Hackage: :hackage:`concurrency-1.11.0.2`
  Miscellaneous
  ~~~~~~~~~~~~~
  * Remove reference to freenode in README.
* Sun Mar 14 2021 psimons@suse.com
- Update concurrency to version 1.11.0.1.
  1.11.0.1 (2021-03-14)
  - --------------------
  * Git: :tag:`concurrency-1.11.0.1`
  * Hackage: :hackage:`concurrency-1.11.0.1`
  Fixed
  ~~~~~
  * (:issue:`334`) Compilation error under GHC 9 due to use of
    ``const``.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Sun Nov  8 2020 psimons@suse.com
- Add concurrency at version 1.11.0.0.
